> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://api-docs.botbye.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://api-docs.botbye.com/_mcp/server.

# create threshold

POST {base_url}/api/v1/{account_id}/projects/{project_id}/dimension-thresholds
Content-Type: application/json

### POST /api/v1/{account_id}/projects/{project_id}/dimension-thresholds

Creates a dimension threshold for a specific project within an account.

#### Request

- `base_url` (string): The base URL of the API.
- `account_id` (string): The unique identifier of the account.
- `project_id` (string): The unique identifier of the project.

#### Request Body

- `dimensionThreshold` (object): Dimension threshold configuration.
  - `dimensionId` (string): The unique identifier of the dimension.
  - `blockThreshold` (number): Score threshold for block decision.
  - `challengeThreshold` (number): Score threshold for challenge decision.

#### Response

The response for this request is a JSON object with the following schema:

``` json
{}

 ```

Reference: https://api-docs.botbye.com/bot-bye-api/protection/dimension-thresholds/create-threshold

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /api/v1/{account_id}/projects/{project_id}/dimension-thresholds:
    post:
      operationId: create-threshold
      summary: create threshold
      description: >-
        ### POST /api/v1/{account_id}/projects/{project_id}/dimension-thresholds


        Creates a dimension threshold for a specific project within an account.


        #### Request


        - `base_url` (string): The base URL of the API.

        - `account_id` (string): The unique identifier of the account.

        - `project_id` (string): The unique identifier of the project.


        #### Request Body


        - `dimensionThreshold` (object): Dimension threshold configuration.
          - `dimensionId` (string): The unique identifier of the dimension.
          - `blockThreshold` (number): Score threshold for block decision.
          - `challengeThreshold` (number): Score threshold for challenge decision.

        #### Response


        The response for this request is a JSON object with the following
        schema:


        ``` json

        {}

         ```
      tags:
        - subpackage_dimensionThresholds
      parameters:
        - name: account_id
          in: path
          required: true
          schema:
            type: string
        - name: project_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                dimensionThreshold:
                  $ref: >-
                    #/components/schemas/ApiV1AccountIdProjectsProjectIdDimensionThresholdsPostRequestBodyContentApplicationJsonSchemaDimensionThreshold
              required:
                - dimensionThreshold
servers:
  - url: '{base_url}'
    description: '{base_url}'
components:
  schemas:
    ApiV1AccountIdProjectsProjectIdDimensionThresholdsPostRequestBodyContentApplicationJsonSchemaDimensionThreshold:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        blockThreshold:
          type: number
          format: double
        challengeThreshold:
          type: number
          format: double
      required:
        - id
        - name
        - blockThreshold
        - challengeThreshold
      title: >-
        ApiV1AccountIdProjectsProjectIdDimensionThresholdsPostRequestBodyContentApplicationJsonSchemaDimensionThreshold

```

## Examples



**Request**

```json
{
  "dimensionThreshold": {
    "id": "<dimension-uuid>",
    "name": "ato",
    "blockThreshold": 0.7,
    "challengeThreshold": 0.4
  }
}
```

**SDK Code**

```python
import requests

url = "https://{base_url}/api/v1/account_id/projects/project_id/dimension-thresholds"

payload = { "dimensionThreshold": {
        "id": "<dimension-uuid>",
        "name": "ato",
        "blockThreshold": 0.7,
        "challengeThreshold": 0.4
    } }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{base_url}/api/v1/account_id/projects/project_id/dimension-thresholds';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"dimensionThreshold":{"id":"<dimension-uuid>","name":"ato","blockThreshold":0.7,"challengeThreshold":0.4}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://{base_url}/api/v1/account_id/projects/project_id/dimension-thresholds"

	payload := strings.NewReader("{\n  \"dimensionThreshold\": {\n    \"id\": \"<dimension-uuid>\",\n    \"name\": \"ato\",\n    \"blockThreshold\": 0.7,\n    \"challengeThreshold\": 0.4\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://{base_url}/api/v1/account_id/projects/project_id/dimension-thresholds")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"dimensionThreshold\": {\n    \"id\": \"<dimension-uuid>\",\n    \"name\": \"ato\",\n    \"blockThreshold\": 0.7,\n    \"challengeThreshold\": 0.4\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://{base_url}/api/v1/account_id/projects/project_id/dimension-thresholds")
  .header("Content-Type", "application/json")
  .body("{\n  \"dimensionThreshold\": {\n    \"id\": \"<dimension-uuid>\",\n    \"name\": \"ato\",\n    \"blockThreshold\": 0.7,\n    \"challengeThreshold\": 0.4\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://{base_url}/api/v1/account_id/projects/project_id/dimension-thresholds', [
  'body' => '{
  "dimensionThreshold": {
    "id": "<dimension-uuid>",
    "name": "ato",
    "blockThreshold": 0.7,
    "challengeThreshold": 0.4
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://{base_url}/api/v1/account_id/projects/project_id/dimension-thresholds");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"dimensionThreshold\": {\n    \"id\": \"<dimension-uuid>\",\n    \"name\": \"ato\",\n    \"blockThreshold\": 0.7,\n    \"challengeThreshold\": 0.4\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = ["dimensionThreshold": [
    "id": "<dimension-uuid>",
    "name": "ato",
    "blockThreshold": 0.7,
    "challengeThreshold": 0.4
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://{base_url}/api/v1/account_id/projects/project_id/dimension-thresholds")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```